HCID(8)

NAME
hcid - Bluetooth Host Controller Interface Daemon

SYNOPSIS
hcid [ -n ] [ -f config-file ]

DESCRIPTION
This manual page documents briefly the hcid daemon, which manages all the Bluetooth devices. hcid itself does not accept many command-line options, as most of its configuration is done in the hcid.conf file, which has its own man page. hcid can also provide a number of services via the D-BUS message bus system.

OPTIONS

-n  Don't fork to run daemon in background.

-d  Enable debug information output.

-s  Enable internal SDP server.

-m mtu-size
    Use specific MTU size for SDP server.

-f config-file
    Use alternate configuration file instead of /etc/bluetooth/hcid.conf

FILES

/etc/bluetooth/hcid.conf
    Default location of the global configuration file.

/var/lib/bluetooth/nn:nn:nn:nn:nn:nn/linkkeys
    Default location for link keys of paired devices. The directory nn:nn:nn:nn:nn:nn is the address of the local device. The file is line separated, with the following columns separated by whitespace: nn:nn:nn:nn:nn:nn Remote device address. nnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnn Link key. n Link type integer.

/var/lib/bluetooth/nn:nn:nn:nn:nn:nn/names
    Default location for the device name cache. The directory nn:nn:nn:nn:nn:nn is the address of the local device. The file is line separated, with the following columns separated by whitespace: nn:nn:nn:nn:nn:nn Remote device address. name Remote device name, terminated with newline.

/var/lib/bluetooth/nn:nn:nn:nn:nn:nn/features
    Default location for the features cache. The directory nn:nn:nn:nn:nn:nn is the address of the local device. The file is line separated, with the following columns separated by whitespace: nn:nn:nn:nn:nn:nn Remote device address. nnnnnnnnnnnnnnnn Remote device LMP features coded as an 8 byte bitfield.

/var/lib/bluetooth/nn:nn:nn:nn:nn:nn/manufacturers
    Default location for the manufacturers cache. The directory nn:nn:nn:nn:nn:nn is the address of the local device. The file is line separated, with the following columns separated by whitespace: nn:nn:nn:nn:nn:nn Remote device address. n Remote device manufacturer integer. n Remote device LMP version integer. n Remote device LMP sub-version integer.

SEE ALSO
hcid.conf(5)

AUTHOR
This manual page was written by Philipp Matthias Hahn and Fredrik Noring.